For the complete documentation index, see llms.txt. This page is also available as Markdown.

Memo sign tx

post

Signs a Dogecoin transaction with a memo.

Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
  • The name of the account to sign the transaction for.
Header parameters
AuthorizationstringRequired
  • The authorization token from the request header.
Body
  • The transaction input data.
tostringOptional

The recipient address of the transaction.

valuenumber · doubleOptional

The amount to be sent.

networkstringOptional

The network on which the transaction is taking place.

compressbooleanOptional

Indicates whether to compress the public key.

Responses
200

A promise that resolves to a DogeCoinAPIResponse object containing the signed transaction data.

application/json

Interface representing the response from the DogeCoin API. Extends the BaseAPIResponse interface.

successbooleanRequired

The success status of the operation.

messagestringRequired

The message associated with the operation.

addressstringOptional

The address associated with the operation.

post/dogecoin/{accountName}/memo-sign-tx
200

A promise that resolves to a DogeCoinAPIResponse object containing the signed transaction data.